petsc-3.6.2 2015-10-02
Report Typos and Errors

# PetscSectionGetConstrainedStorageSize

Return the size of an array or local Vec capable of holding all unconstrained degrees of freedom.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode PetscSectionGetConstrainedStorageSize(PetscSection s, PetscInt *size)

Not collective

### Input Parameters

| s | - the PetscSection
| point | - the point

### Output Parameter

size -the size of an array which can hold all unconstrained dofs

### See Also

PetscSectionGetStorageSize(), PetscSectionGetOffset(), PetscSectionCreate()

Level:intermediate
Location:src/vec/is/utils/vsectionis.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages